@charset "UTF-8";

/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Balsamiq+Sans&family=Didact+Gothic&family=Marhey:wght@500&display=swap");

/* defaults */
html {
    box-sizing: border-box;
    font-size: 1em;
}
* {
    box-sizing: inherit;
}
body {
    font-family: "Didact Gothic", "Avant Garde", "Trebuchet MS", sans-serif;
    background-color: lightcyan;
    color: darkslategrey;
    margin: 0;
}

/* nav */
header {
    width: 100%;
}
nav ul {
    width: 100%;
    display: flex;
    flex-flow: column wrap;
    background-color: orange;
    margin: 0;
    padding: 0;
    justify-content: center;
    align-items: center;
}
nav ul li {
    display: block;
    margin: 0;
    padding: 0;
    color: #28075a;
    height: 100%;
}
nav ul li.logo {
    flex-grow: 10;
    margin: 0;
    font-family: "Marhey", fantasy;
}
nav ul li img {
    height: 1em;
    margin-right: 5px;
}
nav ul li a {
    text-decoration: none;
    text-align: center;
    padding: 0.5em;
    display: inline-block;
}
nav ul li a.this {
    border-bottom: 2px dashed #28075a;
}
nav ul li a:link,
:visited {
    color: #28075a;
}
nav ul li:hover,
nav ul li:active,
nav ul li:focus {
    background-color: #ffb937;
}
nav ul li.has-submenu {
    position: relative;
}
nav ul.submenu {
    display: none;
}
nav ul li.has-submenu:hover ul,
nav ul li.has-submenu.open ul {
    display: block;
}

@media screen and (min-width: 1024px) {
    nav ul {
        flex-flow: row wrap;
        justify-content: flex-end;
        text-align: left;
        align-items: baseline;
    }
    nav ul li {
        font-size: 1.5em;
        font-family: 'Balsamiq Sans';
    }
    nav ul li.logo {
        font-size: 2em;
    }
    nav ul.submenu {
        position: absolute;
        font-size: 1rem;
        width: max-content;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 1;
    }
}

/* main */
main {
    margin: 1em;
}
main img {
    height: 30vw;
    width: auto;
}
main h1 {
    font-size: 10vw;
}
main a {
    text-decoration: none;
}
main a:link,
main a:visited {
    color: #28075a;
}
main a:hover,
main a:active,
main a:focus {
    border-bottom: 1px dotted #28075a;
}
aside {
    margin: 1em;
    padding: 1em;
    background-color: #ffb937;
    color: #28075a;
    border-radius: 17px;
}

@media screen and (min-width: 400px) {
    main h1 {
        font-size: 2em;
    }
}
@media screen and (min-width: 768px) {
    main {
        width: 60vw;
        margin: auto;
    }
    main h1 {
        font-family: "Marhey", fantasy;
        text-align: center;
    }
    main img {
        height: 15vw;
    }
}
@media screen and (min-width: 1024px) {
    main p {
        font-size: 1.3em;
    }
}

/* main buttons */
main .button {
    margin-top: 1em;
    padding: 0.5em;
    width: 8em;
    text-align: center;
    background-color: orange;
}
main .button a {
    text-decoration: none;
}
main .button a:link,
main .button a:visited {
    color: #28075a;
}
main .button:hover,
main .button:active,
main .button:focus {
    background-color: #ffb937;
}
main .begin {
    margin: auto;
}
main .prev {
    float: left;
}
main .next {
    float: right;
}

@media screen and (min-width: 768px) {
    main .button {
        font-family: 'Balsamiq Sans';
    }
    main .begin {
        font-size: 1.5em;
    }
}

/* home specific */
main.home img {
    margin: auto;
}

/* tut specific */
main.tut p.narr {
    clear: both;
}
main.tut p.dial {
    quotes: '\201C' '\201D';
    width: 80%;
    margin: 0 2em;
    text-align: center;
}
main.tut p.dial::before {
    content: open-quote;
}
main.tut p.dial::after {
    content: close-quote;
}
main.tut img {
    display: block;
    margin: auto;
}
main.tut nav {
    clear: both;
    width: 100%;
}
main.tut aside {
    float: none;
    clear: both;
    width: auto;
}

@media screen and (min-width: 480px) {
    main.tut img {
        margin: 1em 2em;
    }
    main.tut img:nth-of-type(odd) {
        float: left;
    }
    main.tut img:nth-of-type(even) {
        float: right;
        transform: scaleX(-1);
    }
}
@media screen and (min-width: 1024px)
{
    main.tut aside {
        width: 80%;
        margin: auto;
    }
}

/* ref specific */
aside li {
    display: block;
}
aside a {
    text-decoration: none;
    color: #28075a;
}
aside a:hover,
aside a:active,
aside a:focus {
    border-bottom: 1px dotted #28075a;
}

table {
    padding: 0.5em;
    width: 100%;
    background-color: #c0f3f3;
    border: 1px solid darkslategrey;
    border-collapse: collapse;
}
tr {
    border: 1px solid darkslategrey;
}
th {
    width: 25%;
    text-align: center;
}
th, td {
    padding: 5px;
}

@media screen and (min-width: 992px) {
    aside.ref {
        float: left;
        position: sticky;
        top: 1em;
        left: 1em;
        width: 20vw;
    }
    main.ref {
        margin-left: 25vw;
    }
    main.ref section {
        width: 60%;
    }
    main.ref section:nth-child(odd) {
        float: right;
    }
    main.ref section:nth-child(even) {
        float: left;
    }
}

/* res specific */
iframe {
    border: none;
    width: 80vw;
    height: 45vw;
    margin-top: 0.5em;
}
div#transcript {
    height: 25vh;
    width: 80vw;
    overflow: scroll;
    padding: 0.5em;
    background-color: #c0f3f3;
    border: 1px solid darkslategrey;
    font-style: italic;
}
dt {
    font-weight: bold;
    margin: 0.5em 0;
}
dd {
    margin-left: 0;
}

@media screen and (min-width: 768px) {
    iframe {
        width: 560px;
        height: 315px;
    }
    div#transcript {
        width: 54vw;
    }
    dd {
        margin-left: 1em;
    }
}
@media screen and (min-width: 1024px) {
    div#transcript {
        width: 530px;
    }
    dt, dd {
        font-size: 1.3em;
        line-height: 1.3;
    }
    dd p {
        font-size: 1em;
    }
}

/* feedback specific */
fieldset ol {
    list-style-type: none;
    padding: 0;
}
fieldset {
    border: none;
    display: block;
    padding: 1em;
}
label, input, select, textarea {
    display: block;
    width: 100%;
    margin: 0.5em 0;
    font: inherit;
}
input, select, textarea {
    padding: 0.5em;
}
textarea {
    min-height: 25vh;
    resize: vertical;
}
input[type=submit] {
    margin: auto;
    margin-top: 1em;
    padding: 0.5em;
    width: max-content;
    text-align: center;
    background-color: orange;
    color: #28075a;
    border: none;
    border-bottom: 1px solid orange;
}
input[type=submit]:hover,
input[type=submit]:active,
input[type=submit]:focus {
    background-color: #ffb937;
    border-bottom: 1px dotted #28075a;
}

@media screen and (min-width: 768px) {
    fieldset ol li {
        display: grid;
        grid-template-columns: 25% 75%;
    }
    label {
        grid-column: 1 / 2;
    }
    input, select, textarea {
        grid-column: 2 / 3;
    }
    input[type=submit] {
        font-family: 'Balsamiq Sans';
    }
}

/* footer */
footer {
    clear: both;
    width: 100%;
    margin-top: 1em;
    text-align: center;
}
footer p {
    margin: 0.5em;
    padding: 0;
}
footer img {
    width: 1em;
    height: auto;
}
footer a {
    color: #28075a;
    text-decoration: none;
}
footer a:hover,
footer a:active,
footer a:focus {
    border-bottom: 1px dotted #28075a;
}
